Subject: RE: [SIP] Multiple sessions in SDP payload

From: "William Lee" <[email-masked]>
Date: Tue, 18 Jul 2000 00:15:06 -0500

Yes, according to the spec, multiple SDP sessions may be specified.  
At the 2nd SIP bake-off, we tested a trial implementation of our 
SDP parser/statemachine that sent and received multiple SDP sessions. 
No one supported this, and as far as I know no one else does today.

William Lee
[email-masked]

> -----Original Message-----
> From:	Philip Levis [SMTP:[email-masked]]
> Sent:	Monday, July 17, 2000 4:53 PM
> To:	[email-masked]
> Subject:	[SIP] Multiple sessions in SDP payload
> 
> I've looked over 2543 several times, and been unable to determine whether
> an SDP payload can have multiple sessions specified within it. RFC 2327
> (SDP) states that multiple sessions may be specified unless annnounced by
> SAP.
> 
> I take this to mean that multiple SDP sessions may be specified. Is this
> correct?
> 
> The next question is, what would multiple SDP sessions signify?
> 
> Phil
> 
> 
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 18 Jul 2000 07:49:45 -0400

> William Lee wrote:

sipc has supported multiple media (audio, video, whiteboard) for more
than a year, including multiple instances of the same media type.
However, I would encourage people coming to the bake-off with PC-based
UAs to implement multiple media, including adding and deleting streams
in mid-call. This will be one of the multi-party test scenarios.